> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Music Status (Beta)

> Check the status of an asynchronous music generation job.

Use this endpoint to poll a music job created by `POST /music/generate`.

## Response Shape

```json theme={null}
{
  "id": "task_123",
  "object": "music",
  "status": "completed",
  "provider": "suno",
  "model": "V4_5PLUS",
  "nativeResponseId": "task_123",
  "output": [
    {
      "index": 0,
      "id": "clip_1",
      "audio_url": "https://...",
      "stream_audio_url": "https://...",
      "image_url": "https://...",
      "title": "Midnight Blue",
      "tags": "jazz, piano",
      "duration": 8
    }
  ],
  "usage": {
    "output_audio_count": 1,
    "output_audio_seconds": 8
  }
}
```

## Notes

* `status` can be: `queued`, `in_progress`, `completed`, `failed`.
* `usage` is included when generation is complete.
* Status polling supports provider-specific backends (Suno, ElevenLabs, MiniMax) behind one endpoint.


## OpenAPI

````yaml GET /music/generate/{music_id}
openapi: 3.0.3
info:
  title: AI Stats Gateway API
  description: >-
    A gateway API for accessing various AI models with OpenAI-compatible
    endpoints.
  version: 1.0.0
  contact:
    name: AI Stats
    url: https://docs.ai-stats.phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core AI Stats Gateway operations.
paths:
  /music/generate/{music_id}:
    get:
      tags:
        - Gateway
      summary: Get music generation status
      description: Retrieves the status for a music generation request.
      operationId: getMusicGeneration
      parameters:
        - name: music_id
          in: path
          required: true
          description: The ID of the music generation request.
          schema:
            type: string
      responses:
        '200':
          description: Music generation status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MusicGenerateResponse'
components:
  schemas:
    MusicGenerateResponse:
      type: object
      additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````